Skip to main content
GET
/
v2
/
cryptography
/
rulesets
/
{ruleset_name}
/
{version}
/
download
Download cryptography detection ruleset as a tarball.
curl --request GET \
  --url http://api.scanoss.com/v2/cryptography/rulesets/{ruleset_name}/{version}/download
{
  "content_type": "<string>",
  "data": "aSDinaTvuI8gbWludGxpZnk=",
  "extensions": [
    {
      "@type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.scanoss.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

ruleset_name
string
required

Name of ruleset to download (e.g., "dca", "keywords")

  • "dca": Deep Code Analysis rules for using with SCANOSS Crypto Finder
  • "keywords": Keyword-based detection rules
version
string
required

Version of the ruleset to download Use "latest" for the most recent version, or specify a version like "v1.2.3"

Response

A successful response.

Message that represents an arbitrary HTTP body. It should only be used for payload formats that can't be represented as JSON, such as raw binary or an HTML page.

This message can be used both in streaming and non-streaming API methods in the request as well as the response.

It can be used as a top-level request field, which is convenient if one wants to extract parameters from either the URL or HTTP template into the request fields and also want access to the raw HTTP body.

Example:

message GetResourceRequest {
// A unique request id.
string request_id = 1;

// The raw HTTP body is bound to this field.
google.api.HttpBody http_body = 2;

}

service ResourceService {
rpc GetResource(GetResourceRequest)
returns (google.api.HttpBody);
rpc UpdateResource(google.api.HttpBody)
returns (google.protobuf.Empty);

}

Example with streaming methods:

service CaldavService {
rpc GetCalendar(stream google.api.HttpBody)
returns (stream google.api.HttpBody);
rpc UpdateCalendar(stream google.api.HttpBody)
returns (stream google.api.HttpBody);

}

Use of this type only changes how the request and response bodies are handled, all other features will continue to work unchanged.

content_type
string

The HTTP Content-Type header value specifying the content type of the body.

data
string<byte>

The HTTP request/response body as raw binary.

extensions
object[]

Application specific response metadata. Must be set in the first response for streaming APIs.